Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ForwardMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Messages>
it.tdlight.jni.TdApi.ForwardMessages

Enclosing class:
  TdApi

public static final class TdApi.ForwardMessages extends TdApi.Function<TdApi.Messages>
Forwards previously sent messages. Returns the forwarded messages in the same order as the message identifiers passed in messageIds. If a message can't be forwarded, null will be returned instead of the message.

Returns `Messages`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat to which to forward messages.
`static final int`
`CONSTRUCTOR`
`long`
`fromChatId`
Identifier of the chat from which to forward messages.
`long[]`
`messageIds`
Identifiers of the messages to forward.
`boolean`
`onlyPreview`
If true, messages will not be forwarded and instead fake messages will be returned.
`TdApi.MessageSendOptions`
`options`
Options to be used to send the messages; pass null to use default options.
`boolean`
`removeCaption`
If true, media caption of message copies will be removed.
`boolean`
`sendCopy`
If true, content of the messages will be copied without reference to the original sender.

## Constructor Summary

Constructors
Constructor
Description
`ForwardMessages()`
Forwards previously sent messages.
`ForwardMessages(long chatId, long fromChatId, long[] messageIds, TdApi.MessageSendOptions options, boolean sendCopy, boolean removeCaption, boolean onlyPreview)`
Forwards previously sent messages.
`ForwardMessages(DataInput input)`
Forwards previously sent messages.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which to forward messages.

### fromChatId

public long fromChatId
Identifier of the chat from which to forward messages.

### messageIds

public long[] messageIds
Identifiers of the messages to forward. Message identifiers must be in a strictly increasing order. At most 100 messages can be forwarded simultaneously.

### options

public TdApi.MessageSendOptions options
Options to be used to send the messages; pass null to use default options.

### sendCopy

public boolean sendCopy
If true, content of the messages will be copied without reference to the original sender. Always true if the messages are forwarded to a secret chat or are local.

### removeCaption

public boolean removeCaption
If true, media caption of message copies will be removed. Ignored if sendCopy is false.

### onlyPreview

public boolean onlyPreview
If true, messages will not be forwarded and instead fake messages will be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ForwardMessages

public ForwardMessages()
Forwards previously sent messages. Returns the forwarded messages in the same order as the message identifiers passed in messageIds. If a message can't be forwarded, null will be returned instead of the message.

Returns `Messages`

### ForwardMessages

public ForwardMessages(long chatId, long fromChatId, long[] messageIds, TdApi.MessageSendOptions options, boolean sendCopy, boolean removeCaption, boolean onlyPreview)
Forwards previously sent messages. Returns the forwarded messages in the same order as the message identifiers passed in messageIds. If a message can't be forwarded, null will be returned instead of the message.

Returns `Messages`

Parameters:
  `chatId` - long Identifier of the chat to which to forward messages.
  `fromChatId` - long Identifier of the chat from which to forward messages.
  `messageIds` - long[] Identifiers of the messages to forward. Message identifiers must be in a strictly increasing order. At most 100 messages can be forwarded simultaneously.
  `options` - MessageSendOptions Options to be used to send the messages; pass null to use default options.
  `sendCopy` - boolean If true, content of the messages will be copied without reference to the original sender. Always true if the messages are forwarded to a secret chat or are local.
  `removeCaption` - boolean If true, media caption of message copies will be removed. Ignored if sendCopy is false.
  `onlyPreview` - boolean If true, messages will not be forwarded and instead fake messages will be returned.

### ForwardMessages

public ForwardMessages(DataInput input) throws IOException
Forwards previously sent messages. Returns the forwarded messages in the same order as the message identifiers passed in messageIds. If a message can't be forwarded, null will be returned instead of the message.

Returns `Messages`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`